@base <https://purl.org/coscine/ap/sfb1394/CalphadDB/> .

@prefix dash: <http://datashapes.org/dash#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix csmd: <http://www.purl.org/net/CSMD/4.0#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix sfb1394: <http://purl.org/coscine/terms/sfb1394#> .
@prefix coscineSfb1394CalphadDB: <https://purl.org/coscine/ap/sfb1394/CalphadDB#> .

 # CalphadDB 
<https://purl.org/coscine/ap/sfb1394/CalphadDB/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://itc.rwth-aachen.de/> ;
  dcterms:rights "Copyright © 2020 IT Center, RWTH Aachen University" ;
  dcterms:title "SFB1394 CalphadDB"@en ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/sfb1394/CalphadDB/> ;
  sh:closed true ;

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineSfb1394CalphadDB:ID ;
  sh:property coscineSfb1394CalphadDB:aliasID ;
  sh:property coscineSfb1394CalphadDB:user ;
  sh:property coscineSfb1394CalphadDB:date ;
  sh:property coscineSfb1394CalphadDB:affiliation ;
  sh:property coscineSfb1394CalphadDB:dois ;
  sh:property coscineSfb1394CalphadDB:databaseFilename ;
  sh:property coscineSfb1394CalphadDB:elementsIncluded ;
  sh:property coscineSfb1394CalphadDB:elementData ;
  sh:property coscineSfb1394CalphadDB:licence ;
  sh:property coscineSfb1394CalphadDB:softwareUsedToTest ;
  sh:property coscineSfb1394CalphadDB:references ;
  sh:property coscineSfb1394CalphadDB:phasesAndModels ;
  sh:property coscineSfb1394CalphadDB:crystalStructure ;
  sh:property coscineSfb1394CalphadDB:compounds ;
  sh:property coscineSfb1394CalphadDB:comments ;
.

coscineSfb1394CalphadDB:ID 
  sh:path dcterms:identifier ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:name "ID"@en, "ID"@de ;
. 

coscineSfb1394CalphadDB:aliasID 
  sh:path sfb1394:aliasID ;
  sh:order 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "External/alias ID"@en, "External/alias ID"@de ;
. 

coscineSfb1394CalphadDB:user 
  sh:path dcterms:creator ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:defaultValue "{ME}" ;
  sh:name "User"@en, "User"@de ;
. 

coscineSfb1394CalphadDB:date 
  sh:path dcterms:created ;
  sh:order 3 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Date"@en, "Date"@de ;
. 

coscineSfb1394CalphadDB:affiliation 
  sh:path sfb1394:affiliation ;
  sh:order 4 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Affiliation"@en, "Affiliation"@de ;
. 

coscineSfb1394CalphadDB:dois 
  sh:path dcterms:isReferencedBy ;
  sh:order 5 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "DOIs"@en, "DOIs"@de ;
. 

coscineSfb1394CalphadDB:databaseFilename 
  sh:path sfb1394:databaseFilename ;
  sh:order 6 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Database filename"@en, "Database filename"@de ;
. 

coscineSfb1394CalphadDB:elementsIncluded 
  sh:path sfb1394:elementsIncluded ;
  sh:order 7 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Elements included"@en, "Elements included"@de ;
. 

coscineSfb1394CalphadDB:elementData 
  sh:path sfb1394:elementData ;
  sh:order 8 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Element data"@en, "Element data"@de ;
. 

coscineSfb1394CalphadDB:licence
  sh:path sfb1394:licence ;
  sh:order 10 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Licence"@en, "Licence"@de ;
. 

coscineSfb1394CalphadDB:softwareUsedToTest 
  sh:path sfb1394:softwareUsedToTest ;
  sh:order 11 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Software used to test"@en, "Software used to test"@de ;
. 

coscineSfb1394CalphadDB:references 
  sh:path sfb1394:references ;
  sh:order 12 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "References"@en, "References"@de ;
. 

coscineSfb1394CalphadDB:phasesAndModels 
  sh:path sfb1394:phasesAndModels ;
  sh:order 13 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Phases and models"@en, "Phases and models"@de ;
. 

coscineSfb1394CalphadDB:crystalStructure 
  sh:path sfb1394:crystalStructure ;
  sh:order 14 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Crystal structure"@en, "Crystal structure"@de ;
. 

coscineSfb1394CalphadDB:compounds 
  sh:path sfb1394:compounds ;
  sh:order 15 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Compounds"@en, "Compounds"@de ;
. 

coscineSfb1394CalphadDB:comments 
  sh:path sfb1394:comments ;
  sh:order 16 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Comments"@en, "Comments"@de ;
. 
